Bug 540871

Summary: Missing blowfish secret entry in sample config in /etc/phpMyAdmin
Product: [Fedora] Fedora EPEL Reporter: Till Maas <opensource>
Component: phpMyAdminAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: el5CC: mmcgrath, opensource, redhat-bugzilla
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.11.9.6-3.el4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-27 20:34:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Till Maas 2009-11-24 12:15:23 UTC
Description of problem:
phpMyAdmin requires this setting in the config file for cookie based authentication:

+/*
+ * This is needed for cookie based authentication to encrypt password in
+ * cookie
+ */
$cfg['blowfish_secret'] = ''; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */

But this is only mentioned in the /usr/share/phpMyAdmin/config.sample.inc.php file and not in the /etc/phpMyAdmin/config.inc.php file

Version-Release number of selected component (if applicable):
phpMyAdmin-2.11.9.6-1.el5

Comment 1 Robert Scheck 2009-11-29 13:08:27 UTC
Thanks for your report. I'm tempted to solve this together with bug #540891.

Comment 2 Till Maas 2009-11-29 13:24:11 UTC
A simple enhancement would also be to add a %post scriptlet that automatically generates a 56byte random secret when the package is installed the first time.

Comment 3 Fedora Update System 2009-12-03 22:45:08 UTC
phpMyAdmin-3.2.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.2.4-1.fc10

Comment 4 Fedora Update System 2009-12-03 22:45:10 UTC
phpMyAdmin-3.2.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.2.4-1.fc11

Comment 5 Fedora Update System 2009-12-03 22:45:12 UTC
phpMyAdmin-3.2.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.2.4-1.fc12

Comment 6 Fedora Update System 2009-12-05 00:01:01 UTC
phpMyAdmin-3.2.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update phpMyAdmin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-12711

Comment 7 Fedora Update System 2009-12-05 00:04:29 UTC
phpMyAdmin-3.2.4-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update phpMyAdmin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12724

Comment 8 Fedora Update System 2009-12-05 00:04:49 UTC
phpMyAdmin-3.2.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update phpMyAdmin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12727

Comment 9 Fedora Update System 2009-12-27 20:25:23 UTC
phpMyAdmin-3.2.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-12-27 20:33:57 UTC
phpMyAdmin-3.2.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-01-04 00:22:38 UTC
phpMyAdmin-2.11.9.6-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/phpMyAdmin-2.11.9.6-2.el4

Comment 12 Fedora Update System 2010-01-04 00:22:44 UTC
phpMyAdmin-2.11.9.6-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/phpMyAdmin-2.11.9.6-2.el5

Comment 13 Fedora Update System 2010-01-21 23:31:15 UTC
phpMyAdmin-2.11.9.6-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-01-21 23:32:01 UTC
phpMyAdmin-2.11.9.6-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.